TAU_ENABLE_TRACKING_(3)

NAME
TAU_ENABLE_TRACKING_MEMORY - Enables memory tracking

SYNOPSIS

C/C++:

TAU_ENABLE_TRACKING_MEMORY(void);

Fortran:

TAU_ENABLE_TRACKING_MEMORY(void);

DESCRIPTION

Enables tracking of the heap memory utilization in the program. TAU takes a sample of the heap memory utilized (as reported by the mallinfo system call) and associates it with a single global user defined event. An interrupt is generated every 10 seconds and the value of the heap memory used is recorded in the user defined event. The inter-interrupt interval (default of 10 seconds) may be set by the user using the call TAU_SET_INTERRUPT_INTERVAL.

EXAMPLE

C/C++ :

TAU_ENABLE_TRACKING_MEMORY();

Fortran :

call TAU_ENABLE_TRACKING_MEMORY()

SEE ALSO

TAU_DISABLE_TRACKING_MEMORY(3), TAU_SET_INTERRUPT_INTERVAL(3), TAU_TRACK_MEMORY(3), TAU_TRACK_MEMORY_HERE(3)